Index: Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/Makefile,v
retrieving revision 1.32
diff -u -r1.32 Makefile
--- Makefile	27 Sep 2003 02:32:30 -0000	1.32
+++ Makefile	27 Sep 2003 12:41:25 -0000
@@ -152,13 +152,11 @@
 
 all: depend asterisk subdirs
 
-editline/config.h:
-	cd editline && unset CFLAGS LIBS && ./configure ; \
-
-editline/libedit.a:
+editline/libedit.a: FORCE
+	cd editline && unset CFLAGS LIBS && test -f config.h || ./configure
 	$(MAKE) -C editline libedit.a
 
-db1-ast/libdb1.a: 
+db1-ast/libdb1.a: FORCE
 	@if [ -d db1-ast ]; then \
 		$(MAKE) -C db1-ast libdb1.a ; \
 	else \
@@ -194,7 +192,7 @@
 	./make_build_h
 endif
 
-stdtime/libtime.a:
+stdtime/libtime.a: FORCE
 	@if [ -d stdtime ]; then \
 		$(MAKE) -C stdtime libtime.a ; \
 	else \
@@ -415,3 +413,4 @@
 .depend:
 	./mkdep ${CFLAGS} `ls *.c`
 
+FORCE:
